1. Webhook
Mozarto - The Payments Orchestration Platform
  • 1. Introduction
  • 2. Quick Start
  • 3. Authentication
  • 4. Webhook Setup
  • 5. Errors
  • 6. Redirect flow
    • Pay-In Flow
    • Pay-Out Flow
  • 7. Payment Providers (PSPs)
    • Overview
    • Brite
    • CashLib
    • Cleo
    • Contiant
    • emerchantpay
    • Flexepin
    • ForumPay
    • Gigadat
    • Neosurf
    • OFApay
    • PayModum
    • PayOne
    • PawaPay
    • Trust Payments
    • Worldpay
  • 8. Redirect Flow APIs
    • Redirect Flow APIs - overview
    • Pay-In
      • Brite
      • CashLib
      • Cleo
      • Contiant
      • emerchantpay
      • Flexepin
      • Forumpay
      • Gigadat
      • Neosurf
      • OFApay
      • PayOne
      • PawaPay
      • Trust Payments
      • WorldPay
    • Pay-Out
      • Cleo
      • Forumpay
      • Gigadat withdraw ACH
      • Gigadat withdraw ETO
      • PawaPay
      • PayOne
      • Trust Payments
  • Webhook
    • ForumPay status webhook
      POST
    • PayOne status webhook
      POST
  • Schemas
    • TransactionData
  1. Webhook

ForumPay status webhook

Prod Env
https://backend.app.mozarto.io
Prod Env
https://backend.app.mozarto.io
POST
/
On confirmation status is confirmed and transaction_status is Approved; on cancel status is cancelled and transaction_status is Declined.

Request

Header Params

Body Params application/json

Example
{
  "transaction_id": "64a1f2b3c4d5e6f7a8b9c0d1",
  "psp_transaction_id": "HS923856HU",
  "user_id": "000000000000000000000001",
  "status": "confirmed",
  "transaction_status": "Approved",
  "message": "Crypto payment confirmed and successfully processed",
  "currency": "BTC",
  "confirmed": true,
  "invoice_currency": "EUR",
  "merchantReference": "",
  "amount": "10.00",
  "method": "FORUMPAY_PAYIN"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://backend.app.mozarto.io/' \
--header 'Authorization: {{WEBHOOK_SECRET}}' \
--header 'Content-Type: application/json' \
--data '{
  "transaction_id": "64a1f2b3c4d5e6f7a8b9c0d1",
  "psp_transaction_id": "HS923856HU",
  "user_id": "000000000000000000000001",
  "status": "confirmed",
  "transaction_status": "Approved",
  "message": "Crypto payment confirmed and successfully processed",
  "currency": "BTC",
  "confirmed": true,
  "invoice_currency": "EUR",
  "merchantReference": "",
  "amount": "10.00",
  "method": "FORUMPAY_PAYIN"
}'

Responses

🟢200
text/plain
Modified at 2026-09-01 13:17:03
Previous
Trust Payments
Next
PayOne status webhook
Built with